var CRM_Operador_Repository = function(localStorageEngine, General) {
    this.retornaOperadorLogado = function() {
        var filter = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
        ];
        return localStorageEngine.download("product#/crud/operador", filter);
    };
    
    
    this.getNrOrgTrabalhoAtual = function(user) {
        var filter = [
            {
                "name": "P_NRORG",
                "operator": "=",
                "value": user.nrorg
            },
            {
                "name": "P_CDOPERADOR",
                "operator": "=",
                "value": user.cdoperador
            }
        ];
        
        return General.callRestEngine('product#/getNrOrgTrabalhoAtual', "FilterData", filter);
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('CRM_Operador_Repository', CRM_Operador_Repository);
});